device(1).
job(29).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(30).
job(31).
job(32).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(33).
job(34).
job(35).
job(36).
job_device(31,1).
job_device(34,2).
job_device(2,4).
job_device(5,4).
job_device(8,4).
job_device(11,4).
job_device(14,3).
job_device(17,3).
job_device(20,3).
job_device(23,4).
job_device(26,4).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
precedes(31,32).
precedes(32,33).
precedes(34,35).
precedes(35,36).
importance(36,1).
importance(35,2).
importance(34,3).
importance(33,3).
importance(32,3).
importance(31,1).
importance(30,3).
importance(29,2).
importance(28,1).
importance(27,1).
importance(26,3).
importance(25,1).
importance(24,3).
importance(23,3).
importance(22,3).
importance(21,3).
importance(20,2).
importance(19,1).
importance(18,1).
importance(17,3).
importance(16,2).
importance(15,1).
importance(14,3).
importance(13,3).
importance(12,1).
importance(11,2).
importance(10,3).
importance(9,1).
importance(8,3).
importance(7,3).
importance(6,2).
importance(5,1).
importance(4,3).
importance(3,1).
importance(2,2).
importance(1,3).
job_device(1,1).
job_device(4,1).
job_device(7,2).
job_device(10,1).
job_device(13,2).
job_device(16,1).
job_device(19,2).
job_device(22,1).
job_device(25,2).
job_device(28,2).
job_device(29,3).
job_device(32,4).
job_device(35,3).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_device(33,5).
job_device(36,5).
job_len(36,18).
job_len(35,3).
job_len(34,10).
job_len(33,17).
job_len(32,10).
job_len(31,12).
job_len(30,12).
job_len(29,4).
job_len(28,7).
job_len(27,3).
job_len(26,18).
job_len(25,15).
job_len(24,15).
job_len(23,14).
job_len(22,12).
job_len(21,20).
job_len(20,20).
job_len(19,9).
job_len(18,14).
job_len(17,17).
job_len(16,7).
job_len(15,14).
job_len(14,6).
job_len(13,4).
job_len(12,6).
job_len(11,5).
job_len(10,14).
job_len(9,10).
job_len(8,14).
job_len(7,20).
job_len(6,8).
job_len(5,9).
job_len(4,11).
job_len(3,6).
job_len(2,17).
job_len(1,13).
deadline(3,36).
deadline(6,31).
deadline(9,19).
deadline(12,33).
deadline(15,26).
deadline(18,35).
deadline(21,38).
deadline(24,24).
deadline(27,25).
deadline(30,32).
deadline(33,19).
deadline(36,26).
max_total_penalty(1387).
curr_job_start(36,55).
curr_job_start(30,36).
curr_job_start(27,33).
curr_job_start(9,87).
curr_job_start(6,79).
curr_job_start(3,73).
curr_job_start(26,15).
curr_job_start(8,59).
curr_job_start(5,50).
curr_job_start(2,33).
curr_job_start(35,52).
curr_job_start(29,22).
curr_job_start(34,42).
curr_job_start(28,15).
curr_job_start(25,0).
curr_job_start(7,22).
curr_job_start(4,0).
curr_job_start(1,0).
curr_on_instance(36,1).
curr_on_instance(35,1).
curr_on_instance(34,1).
curr_on_instance(30,1).
curr_on_instance(29,1).
curr_on_instance(28,1).
curr_on_instance(27,1).
curr_on_instance(26,1).
curr_on_instance(25,1).
curr_on_instance(9,1).
curr_on_instance(8,1).
curr_on_instance(7,1).
curr_on_instance(6,1).
curr_on_instance(5,1).
curr_on_instance(4,2).
curr_on_instance(3,1).
curr_on_instance(2,1).
curr_on_instance(1,1).
curr_time(33).
max_value(1537).

